org.apache.xmpbox.type

## Class AbstractSimpleProperty

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractSimpleProperty

Direct Known Subclasses:
  BooleanType, DateType, IntegerType, RealType, TextType

    public abstract class AbstractSimpleProperty
    extends AbstractField

Abstract Class of an Simple XMP Property

Author:
  a183132

### Constructor Summary

Constructors
Constructor and Description
`AbstractSimpleProperty(XMPMetadata metadata, String namespaceURI, String prefix, String propertyName, Object value)` Property specific type constructor (namespaceURI is given)

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`String` `getNamespace()` Get the namespace URI of this entity
`String` `getPrefix()` Get the prefix of this entity
`Object` `getRawValue()` Return the properties raw value.
`abstract String` `getStringValue()` Return the property value
`abstract Object` `getValue()`
`abstract void` `setValue(Object value)` Check and set new property value (in Element and in its Object Representation)
`String` `toString()`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractSimpleProperty

    public AbstractSimpleProperty(XMPMetadata metadata,
                                  String namespaceURI,
                                  String prefix,
                                  String propertyName,
                                  Object value)

Property specific type constructor (namespaceURI is given)

Parameters:
  `metadata` - The metadata to attach to this property
  `namespaceURI` - the specified namespace URI associated to this property
  `prefix` - The prefix to set for this property
  `propertyName` - The local Name of this property
  `value` - the value to give

### Method Detail

#### setValue

    public abstract void setValue(Object value)

Check and set new property value (in Element and in its Object Representation)

Parameters:
  `value` - Object value to set

#### getStringValue

    public abstract String getStringValue()

Return the property value

Returns:
  a string

#### getValue

    public abstract Object getValue()

#### getRawValue

    public Object getRawValue()

Return the properties raw value.

The properties raw value is how it has been serialized into the XML. Allows to retrieve the low level date for validation purposes.

Returns:
  the raw value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getNamespace

    public final String getNamespace()

Get the namespace URI of this entity

Specified by:
  `getNamespace` in class `AbstractField`
Returns:
  the namespace URI

#### getPrefix

    public String getPrefix()

Get the prefix of this entity

Specified by:
  `getPrefix` in class `AbstractField`
Returns:
  the prefix specified